#!/bin/sh

if [ $# -ne 4 ]; then
	echo "$0 [verion] [community] [devip] [sleeptime]"
	exit 1
fi

version=$1
community=$2
devip=$3
sleeptime=$4
arpoid=".1.3.6.1.2.1.4.22.1.2"

SNMPWALK=/sbin/snmpwalk
FLOWEYE=/usr/ramdisk/bin/floweye
MSGFILE=/usr/ramdisk/tmp/snmpmac.txt

lastworktime=`date +%s`

while true
do
    sleep 1
    cursecs=`date +%s`
    elapse=$((${cursecs} - ${lastworktime}))
    
    if [ ${elapse} -ge ${sleeptime} ]; then 
        lastworktime="${cursecs}" 
        data=`${SNMPWALK} -v $version -c $community $devip $arpoid | \
            awk '{if($3=="Hex-STRING:"){split($1,arr,".");print arr[12]"\."arr[13]"\."arr[14]"\."arr[15]" "$4":"$5":"$6":"$7":"$8":"$9}}'`
        if [ "${data}" != "" ]; then
            echo "$data" > ${MSGFILE}
            ${FLOWEYE} ipmac load file=${MSGFILE}
            rm ${MSGFILE}
        fi
    fi
    
done
